Library Version 18.1.40

operator--
Prev | Chapter 15. Db_map_base_iterator | Next

## operator--

### Function Details

    self& operator--()

Pre-decrement.

#### Return Value

This iterator after decremented.

    self operator--(int)

Post-decrement.

#### Return Value

Another iterator having the old value of this iterator.

### Group: Iterator decrement movement functions.

The two functions moves the iterator one element forward, so that the element it sits on has a smaller key.

The btree/hash key comparison routine determines which key is greater. Use --iter rather than iter-- where possible to avoid two useless iterator copy constructions.

### Class

db_map_base_iterator

Prev | Up | Next
operator++ | Home | operator==